ByteArrayPutAtMetaMethod (Groovy 5.0.7)
Description: declaration: package: org.codehaus.groovy.runtime.dgmimpl.arrays, class: ByteArrayPutAtMetaMethod

Package org.codehaus.groovy.runtime.dgmimpl.arrays

# Class ByteArrayPutAtMetaMethod

java.lang.Object
org.codehaus.groovy.reflection.ParameterTypes
groovy.lang.MetaMethod
org.codehaus.groovy.runtime.callsite.CallSiteAwareMetaMethod
org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayMetaMethod
org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayPutAtMetaMethod
org.codehaus.groovy.runtime.dgmimpl.arrays.ByteArrayPutAtMetaMethod

All Implemented Interfaces:
  `MetaMember`, `Cloneable`

public class ByteArrayPutAtMetaMethod extends ArrayPutAtMetaMethod

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayMetaMethod

  `INTEGER_CLASS, INTEGER_CLASS_ARR`

  ### Fields inherited from class groovy.lang.MetaMethod

  `EMPTY_ARRAY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ByteArrayPutAtMetaMethod()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CallSite`
  `createPojoCallSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)`
  `final CachedClass`
  `getDeclaringClass()`
  Gets the class where this method is declared.
  `Object`
  `invoke(Object object, Object[] args)`
  Invokes this method.

  ### Methods inherited from class org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayPutAtMetaMethod

  `getName, getReturnType`

  ### Methods inherited from class org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayMetaMethod

  `getModifiers, normaliseIndex`

  ### Methods inherited from class groovy.lang.MetaMethod

  `checkParameters, clone, doMethodInvoke, equal, equal, getDescriptor, getMopName, getSignature, isAbstract, isCacheable, isDefault, isMethod, isSame, processDoMethodInvokeException, toString`

  ### Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes

  `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, getPT, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface groovy.lang.MetaMember

  `isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, isSynthetic`

- ## Constructor Details

  - ### ByteArrayPutAtMetaMethod

    public ByteArrayPutAtMetaMethod()

- ## Method Details

  - ### getDeclaringClass

    public final CachedClass getDeclaringClass()
    Description copied from class: `MetaMethod`
    Gets the class where this method is declared.
    Specified by:
      `getDeclaringClass` in class `MetaMethod`
    Returns:
      class of this method

  - ### invoke

    public Object invoke(Object object, Object[] args)
    Description copied from class: `MetaMethod`
    Invokes this method.
    Specified by:
      `invoke` in class `MetaMethod`
    Parameters:
      `object` - The object this method should be invoked on
      `args` - The arguments for the method if applicable
    Returns:
      The return value of the invocation

  - ### createPojoCallSite

    public CallSite createPojoCallSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)
    Specified by:
      `createPojoCallSite` in class `CallSiteAwareMetaMethod`